//____________________________________________________________________________
/*!

\class    genie::GLRESInteractionListGenerator

\brief    Generates a list of all the interactions that cab be generated by 
          the GLRES EventGenerator

\author   Costas Andreopoulos <costas.andreopoulos \at stfc.ac.uk>
          STFC, Rutherford Appleton Laboratory

\created  December 14, 2009

\cpright  Copyright (c) 2003-2011, GENIE Neutrino MC Generator Collaboration
          For the full text of the license visit http://copyright.genie-mc.org
          or see $GENIE/LICENSE
*/
//____________________________________________________________________________

#ifndef _GLASHOW_RESONANCE_INTERACTION_GENERATOR_H_
#define _GLASHOW_RESONANCE_INTERACTION_GENERATOR_H_

#include "EVGCore/InteractionListGeneratorI.h"

namespace genie {

class GLRESInteractionListGenerator : public InteractionListGeneratorI {

public :
  GLRESInteractionListGenerator();
  GLRESInteractionListGenerator(string config);
 ~GLRESInteractionListGenerator();

  // implement the InteractionListGeneratorI interface
  InteractionList * CreateInteractionList(const InitialState & init) const;
};

}      // genie namespace

#endif // _GLASHOW_RESONANCE_INTERACTION_GENERATOR_H_
